MSKGraph::SendData Struct Reference

`#include <MSKGraph.hxx>`

## Public Types

enum | Type { RBDR, RBIL, ALL }
| the type More...

## Public Member Functions

| SendData ()

## Public Attributes

enum MSKGraph::SendData::Type | m_type
int | m_id
| the rbil id More...
MWAWPosition::AnchorTo | m_anchor
| the anchor More...
int | m_page
| the page ( used if anchor==page) More...
Vec2i | m_size
| the size of the data ( used by rbil ) More...

## Member Enumeration Documentation

enum MSKGraph::SendData::Type

the type

Enumerator
RBDR |
RBIL |
ALL |

## Constructor & Destructor Documentation

MSKGraph::SendData::SendData | ( |  | ) |

## Member Data Documentation

MWAWPosition::AnchorTo MSKGraph::SendData::m_anchor

the anchor

Referenced by MSK4Zone::newPage(), MSKGraphInternal::SubDocument::parse(), MSK4Zone::readContentZones(), MSKGraph::sendObjects(), and MSK4Zone::sendRBIL().

int MSKGraph::SendData::m_id

the rbil id

Referenced by MSKGraphInternal::SubDocument::parse(), MSKGraph::sendObjects(), and MSK4Zone::sendRBIL().

int MSKGraph::SendData::m_page

the page ( used if anchor==page)

Referenced by MSK4Zone::newPage(), MSK4Zone::readContentZones(), and MSKGraph::sendObjects().

Vec2i MSKGraph::SendData::m_size

the size of the data ( used by rbil )

Referenced by MSKGraph::sendObjects(), and MSK4Zone::sendRBIL().

enum MSKGraph::SendData::Type MSKGraph::SendData::m_type

Referenced by MSK4Zone::newPage(), MSKGraphInternal::SubDocument::parse(), MSK4Zone::readContentZones(), MSKGraph::sendObjects(), and MSK4Zone::sendRBIL().

The documentation for this struct was generated from the following files:

- MSKGraph.hxx
- MSKGraph.cxx